
function [spli]=intersplli2DPt(x,typeH,parH,SdStH,typeV,parV,SdStV)
%calculation of the 2D spline values 'spli'at dyadic (triadic) rational points 
%x --values of  order 'par' spline at 2D integer points {k,n=0:N-1}, N=2^j
%typeH type of horizontal subdivision (2--dyadic, 3--ternary
%parH spline order for horizontal subdivision
%SdStH number of iterations horizontal subdivision
%typeV,parV,SdStV -- the same for vertical subdivision


    xh=intersplliPt(x,parH,SdStH,typeH);

spli=intersplliPt(xh',parV,SdStV,typeV)';




% % Copyright (c) 2012. Valery A. Zheludev
% 



